Optional content - HERE Vector Tile API
The optional content can be included in the vector tile response based on the content query parameter.
The following optional content types are available in the HERE Vector Tile API:
Note
Requests that include the optional content (for example, advanced POIs or advanced roads) are classified as transactions under the Advanced Vector Tile category in the HERE Map Rendering system. For more information, see Advanced Vector Tile and HERE platform pricing.
Request optional content
To receive optional data in the API response, include the content parameter as a comma-separated list of layers that can include both the default tile content and the specific optional or advanced layer data you want to obtain. For example, see the following request:
curl "https://vector.hereapi.com/v2/vectortiles/core/mc/15/18028/9636/omv?apikey={YOUR_HERE_API_KEY}&content=default,advanced_pois,advanced_roads,contours,hillshade"
where:
defaultis the default tile contentadvanced_pois,advanced_roadsare the requested advanced layer typescontoursis the requested contours layerhillshadeis the requested hillshade layertransitis the requested public transit layer
Note
The order of attributes in the
contentparameter is important. Specifically, ensure that you position thedefaultattribute as the first one.
Result: The server response incorporates the default tile content and expands it to include the requested advanced layer data types, contours layer, hillshade layer, and transit layer. For example, the following snippet showcases an extracted sample of an advanced point of interest, specifically an electric vehicle charging station. This is indicated by the values of kind and pds_category within the response payload.
{
"type":"Feature",
"geometry":{
"type":"Point",
"coordinates":[
18.069097995758057,
59.329620005455325
]
},
"properties":{
"country":"SE",
"quality_score":4,
"name":"E.On",
"name:sv":"E.On",
"name:es":"E.On Drive Laddstation",
"kind":"charging_station",
"pds_category":"700-7600-0322",
"min_zoom":18,
"vt_layer":"pois"
}
}Next steps
- For more information about other layer feature types available in the HERE Vector Tile API, see Tile Layers.
Updated last month